package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 手环设备对象 t_facility
 * 
 * @author zhengjie
 * @date 2023-08-12
 */
public class TFacility extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 设备类型 */
    @Excel(name = "设备类型")
    private Integer kind;

    /** 设备编号 */
    @Excel(name = "设备编号")
    private String code;

    /** 手机号 */
    @Excel(name = "手机号")
    private String telno;

    /** 通信编号 */
    @Excel(name = "通信编号")
    private String comCode;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    /** iccid */
    @Excel(name = "iccid")
    private String iccid;

    /** puk */
    @Excel(name = "puk")
    private String puk;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setKind(Integer kind) 
    {
        this.kind = kind;
    }

    public Integer getKind() 
    {
        return kind;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setTelno(String telno) 
    {
        this.telno = telno;
    }

    public String getTelno() 
    {
        return telno;
    }
    public void setComCode(String comCode) 
    {
        this.comCode = comCode;
    }

    public String getComCode() 
    {
        return comCode;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    public String getIccid() {
        return iccid;
    }

    public void setIccid(String iccid) {
        this.iccid = iccid;
    }

    public String getPuk() {
        return puk;
    }

    public void setPuk(String puk) {
        this.puk = puk;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("kind", getKind())
            .append("code", getCode())
            .append("telno", getTelno())
            .append("comCode", getComCode())
            .append("createTime", getCreateTime())
            .append("status", getStatus())
            .append("iccid", getIccid())
            .append("puk", getPuk())
            .toString();
    }
}
